
<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Transparencia - Bandeja Secretaria OAJ:.
    </ui:define>

    <ui:define name="headCont">
		<style>
			.box-table-class .ui-datatable-scrollable-body thead th{
				opacity:0;
				padding: 0;
			}
			
			.obs-pe {
				background: #d6effe;
				color: #68544F;   
			}
			
			.obs-pe-vencida {
				background: #d6effe;
				color: red;
			}
			
			.obs-pe-por-vencer {
				background: #d6effe;
				color: green;
			}
			
			.sin-obs-pe-vencida {
				color: red;
			}
			
			.sin-obs-pe-por-vencer {
				color: green;
			}
			
			
			.ui-state-disabled{
				opacity:1;
			}
			
			.ui-fieldset-general {
	
			}
		
		</style>
    </ui:define>
        
    <ui:define name="titlePages">
        <span>BANDEJA SECRETARIA OAJ</span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Bandeja SAIP</li>
      <li >Band. Secretaria OAJ</li>
    </ui:define>
    <!-- administrador por SERVIR -->
    <ui:define name="content">
        #{bandejaSecretariaOAJMB.validarSesion()}
        <!-- #{bandejaSecretariaOAJMB.cargarListaConsultas()} -->
        #{bandejaSecretariaOAJMB.cargarplantillas()}
        #{bandejaSecretariaOAJMB.llenarCombos()}
       <!--  #{bandejaSecretariaOAJMB.getListaAIPfromSTD()}  -->
	    <div class="row">
	    
	    	<h:form id="frmBandejaSolicitud">
                
                <p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
                <div class="col-md-12 sin-bg-box">
                
                	<p:fieldset styleClass="ui-fieldset-general">
                    	
                	<div class="row box-mb"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Buscar Solicitudes:</b></label>
                            </div>                       
                    </div>
                    
                	<p:fieldset>                		
					<!-- A Seleccion 2 : Mostar inpust búsqueda  -->
					<h:panelGroup>
                        <div class="row box-mb">
                        	<div class="col-sm-3">
	                        	<div class="form-group">
				                	<h:outputLabel for="txtNumDocumento" value="N&#186; SISTRA: " styleClass="control-label"/>
				                	<p:inputText  id="txtNumDocumento"
	                                    		  value="#{bandejaSecretariaOAJMB.reporteBandeja.numero_documento_identidad}"
	                                              maxlength="8"
	                                              style="text-transform:uppercase"
	                                              required="false" styleClass="form-control"
	                                              tabindex="1"/>                                        
	                            	<!-- <p:inputText  id="txtNumDocumento"
	                                    		  value="#{bandejaSecretariaOAJMB.reporteBandeja.numero_documento_identidad}"
	                                              maxlength="8"
	                                              mask="99999999"
	                                              style="text-transform:uppercase"
	                                              onkeypress="return onlyNumber(event)" 
	                                              required="false" styleClass="form-control"
	                                              tabindex="1"/> -->
				            	</div>
	                        </div>
	                        <div class="col-sm-3">								
								<div class="form-group">
                                    <h:outputLabel for="fechaInicio" value="Fecha Registro inicio: " styleClass="control-label" />
                                    <div class="input-group">
                                      <p:calendar   id="fechaInicio" locale="es" pattern="dd/MM/yyyy"  maxdate="#{bandejaSecretariaOAJMB.fechaHoy}"
                                      				widgetVar="wvfechaInicio"
                                                    value="#{bandejaSecretariaOAJMB.reporteBandeja.fechaRegistroDesde}"></p:calendar> 
                                      <span class="input-group-addon">
                                        <span class="fa fa-calendar-o"></span>
                                      </span>
                                    </div> 
                                </div>
							</div>
							<div class="col-sm-3">
								<div class="form-group">
                                    <h:outputLabel for="fechaFin" value="Fecha Registro fin: " styleClass="control-label" />
                                    <div class="input-group">
                                      <p:calendar   id="fechaFin" locale="es" pattern="dd/MM/yyyy"  maxdate="#{bandejaSecretariaOAJMB.fechaHoy}"
                                      				widgetVar="wvfechaFin"
                                                    value="#{bandejaSecretariaOAJMB.reporteBandeja.fechaRegistroHasta}"></p:calendar> 
                                      <span class="input-group-addon">
                                        <span class="fa fa-calendar-o"></span>
                                      </span>
                                    </div> 
                                </div>
							</div>
                        </div>
                        <br/>
                        <div class="row box-mb"> 
                        	<div class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">
			               			
			               			<p:commandButton 	id="idBuscar"
                                    					value="Buscar" 
                                    					icon="icon-search ocultarImgIcon"
                                                        styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					actionListener="#{bandejaSecretariaOAJMB.buscarRegistrosSISTRAWS}"
                                    					update="frmBandejaSolicitud"
                                    					ajax="true"
                                    					/>
                                    					
                                   <p:commandButton	id="idLimpiar"
                                                	styleClass="btn btn-default btn-sensitive btn-buscar"   
					                                value="Limpiar"
					                                actionListener="#{bandejaSecretariaOAJMB.limpiarBusqueda2}"
					                                icon="icon-limpiar"		                                                
                                               		update="frmBandejaSolicitud"
                                               		ajax="true"
                                               		/> 
			               </div>
                        </div>
                     </h:panelGroup>
                     <!-- Fin A Seleccion 2 : Mostar inpust búsqueda  -->
                        
                    </p:fieldset> 
<!-- *************************************************************************************************************************** -->
                    <div class="row box-mb" style="margin-top:15px;"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Solicitudes Encontradas:</b></label>
                            </div>                       
                    </div> 
                                        
                         <div class="row box-mb">
                            <div class="col-sm-12 box-table-class">
                              <div class="form-group">
                              
<!--******************************* Tabla con registros vacios del combo seleccion:  seleccione ************************************************** -->
                                                                 
<!--******************************* Tabla con registros del combo seleccion: REGISTROS MANUALES *************************************************************** -->
                                    <p:dataTable  id="tblConsultas1" 
                                                var="registro" 
                                                value="#{bandejaSecretariaOAJMB.listaRegistrosSISTRA}" 
                                                rowKey="#{registro.id}" 
                                                paginator="true"
                                                scrollable="true"
                                                rowIndexVar="item"
                                                paginatorPosition="top"
                                                rows="10"
                                                style="text-align:center;"
                                                emptyMessage="No existen registros">
                                                                                                
												<p:column headerText="Nro Sistra" style="width:30px;text-aling:center;"
													sortBy="#{registro.numeroSistra}">
                                                    <h:outputText value="#{registro.numeroSistra}" />
                                                </p:column>
                                                
                                                <p:column headerText="Nro Documento" style="width:30px;text-aling:center;"
													sortBy="#{registro.numeroDocumento}">
                                                    <h:outputText value="#{registro.numeroDocumento}" />
                                                </p:column>
                                                
                                                <p:column headerText="Nombre completo" style="width:30px;text-aling:center;"
													sortBy="#{registro.remite}">
                                                    <h:outputText value="#{registro.remite}" />
                                                </p:column>
                                                
                                                <p:column headerText="Asunto" style="width:30px;text-aling:center;"
													sortBy="#{registro.asunto}">
                                                    <h:outputText value="#{registro.asunto}" />
                                                </p:column>
                                                
                                                <p:column headerText="Fecha Registro" style="width:30px;text-aling:center;"
													sortBy="#{registro.fechaRegistroSistraDate}">
                                                    <h:outputText value="#{registro.fechaRegistroSistraDate}">
                                                    	<f:convertDateTime pattern="dd/MM/yyyy" />
                                                    </h:outputText>
                                                </p:column>
                                                
                                                <p:column headerText="Plazo Entrega" style="width:30px;text-aling:center;">
                                                    <h:outputText value="3" />
                                                </p:column>
                                                
                                                <p:column headerText="Acción" style="width:30px;text-align:center;">

                                                    
                                                <p:commandButton    actionListener="#{bandejaSecretariaOAJMB.seleccionarRegistro(registro)}"
                                                                        title="Seleccionar registro"
                                                                        ajax="true"
                                                                        icon="ui-icon ui-icon-circle-plus"
                                                                        styleClass="colorSuccess"
                                                                        update=":frmBandejaSolicitud"/>
                                                                                                                                                                                       
                                                </p:column>

                                    </p:dataTable>

<!--******************************* Tabla con registros del combo seleccion: REGISTROS VIRTUALES ****************************************************-->
                                    
                                  
                              </div>         
                            </div>
                         </div> 
<!-- *************************************************************************************************************************** -->
                     <p:panel id="pnlRegSel" style="margin-top:15px;border:none;"
						rendered="#{bandejaSecretariaOAJMB.vistaRegistroSelecc}" >
                        <div class="row box-mb"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Registro de solicitudes:</b></label>
                            </div>                       
                        </div>   
                        
                        <p:fieldset>  
                      	<!-- 
                      	<div class="row box-mb">
                      	
                      		<div class="col-sm-12">
								<label class="control-label" style="margin-left: 2%"><b> I. FUNCIONARIO RESPONSABLE DE ENTREGAR LA INFORMACIÓN: </b></label>
							</div>
								
							<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
								<p:panel id="pnfuncionarioRespeponsable"
									 style="width: 100%;							 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
									 <div class="row box-mb">
										<div class="col-sm-10">
											<div class="form-group">
												<h:outputLabel for="txtfuncionario"
														value="Funcionario Responsable de Entregar la Información: "
														styleClass="control-label" />
												<p:inputText
														disabled="true"
														value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.funcionario_resp_entrginfo}"
														id="txtfuncionario" style="text-transform:uppercase;"
														required="false" styleClass="form-control" tabindex="1" />
												
											</div>
										</div>
									</div>
								</p:panel>
							</p:fieldset>
						</div>
						 -->
                		<div class="row box-mb">
                      	
                      		<div class="col-sm-12">
								<label class="control-label" style="margin-left: 2%"><b> II. DATOS DEL SOLICITANTE: </b></label>
							</div>
								
							<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
								<p:panel id="tipoDocumentoPanel"
									 style="width: 100%;							 
									 border: 0px solid #EDEDED;">
									 
									 <div class="row box-mb">
										<div class="col-sm-4" >
						                	<div class="form-group">			                					                		
						                    	<h:outputLabel  value="Número de SISTRA : " 
						                    				    styleClass="control-label"/>
			                                    <p:inputText  value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.registroSISTRA.numeroSistra}"
			                                    			  disabled="true"
			                                    			  id="numeroSistra" 
			                                                  style="text-transform:uppercase;"                                               
			                                                  required="false" 
			                                                  styleClass="form-control"
			                                                  tabindex="1">
												</p:inputText>
						                     </div>
						                </div>
						                
						                <div class="col-sm-4" >
						                	<div class="form-group">			                		
						                    	
						                     </div>
						               	</div>
						               	<div class="col-sm-4" >
						                	<div class="form-group">			                		
						                    	
						                     </div>
						               	</div>
									</div>
									 
									 
									 <div class="row box-mb">
										<div class="col-sm-4" >
						                	<div class="form-group">			                					                		
						                    	<h:outputLabel 	for="tipoDocumento" 
						                    					value="Tipo de Documento : " 
						                    					styleClass="control-label"/>                              
						                    	<p:selectOneMenu id="tipoDocumento"
						                    					 disabled="false"
						                    					 value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.tipo_documento_identidad_id}" 
						                    					 styleClass="form-control style-select" >
						                    		<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
							                        <f:selectItems value="#{bandejaSecretariaOAJMB.lstT01TipoDocumento}" 
							                        				var="item" 
							                        				itemValue="#{item.codigoRegistro}"  
							                        				itemLabel="#{item.nombreCorto}" />
						                        </p:selectOneMenu>
						                     </div>
						                </div>
						                
						                <div class="col-sm-4" >
						                	<div class="form-group">			                		
						                    	<h:outputLabel  value="Número de Documento : " 
						                    				    styleClass="control-label"/>
			                                    <p:inputText  value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.numero_documento_identidad}"
			                                    			  disabled="false"
			                                    			  id="numeroDocumentoDNI" 
			                                                  style="text-transform:uppercase;"                                               
			                                                  required="false" 
			                                                  styleClass="form-control"
			                                                  tabindex="1">
												</p:inputText>
						                     </div>
						               </div>
									</div>
									<div class="row box-mb">
										<div class="col-sm-4" >
							                <div class="form-group">
							                    	<h:outputLabel 	for="nombres" 
							                    					value="Nombres : " 
							                    					styleClass="control-label"></h:outputLabel>
							                    	<p:inputText  value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.nombres}" 
							                    				  disabled="false"
							                    				  id="nombres" 
							                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
				                                                  maxlength="30"                                                  
				                                                  required="false" 
				                                                  styleClass="form-control"
				                                                  tabindex="1"/>
							                </div>
							             </div>			               
							             <div class="col-sm-4" >
							                	<div class="form-group">
							                    	<h:outputLabel for="txtapellidopaterno" 
							                    				   value="Apellido Paterno : " 
							                    				   styleClass="control-label"/>
							                    	<p:inputText  value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.apellido_paterno}"
							                    				  disabled="false"
							                    				  id="txtapellidopaterno" 
							                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
				                                                  maxlength="50"                                                  
				                                                  required="false" styleClass="form-control"
				                                                  tabindex="1"/>
							                     </div>
							             </div>			               
								         <div class="col-sm-4" >
								                	<div class="form-group">
								                    	<h:outputLabel for="txtapellidomaterno" 
								                    				   value="Apellido Materno : " 
								                    				   styleClass="control-label"/>
								                    	<p:inputText  value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.apellido_materno}"
								                    				  disabled="false"
								                    				  id="txtapellidomaterno" 
								                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
					                                                  maxlength="50"                                                  
					                                                  required="false" 
					                                                  styleClass="form-control"
					                                                  tabindex="1"/>
								                     </div>
								           </div>
									</div>
									
									<div class="row box-mb">	 				
										<div class="col-sm-12">									
												<h:outputLabel 	for="txtdireccion" 
																value="Domicilio Legal ( Av / Jirón / Nro / Dpto / Mz / Lote / Urb ) : "
																styleClass="control-label">
												</h:outputLabel>
												<p:inputText
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.direccion_domicilio}"
															disabled="false"
															id="txtdireccion"											
															maxlength="60" 
															required="false" 
															style="text-transform: uppercase;"
															styleClass="form-control"
															tabindex="1" />									
										</div>									
									</div>
									
									<div class="row box-mb">	 				
										<div class="col-sm-4">
											<h:outputLabel for="cmbDepartamento" 
																value="Departamento : "
																styleClass="control-label" />
											<p:selectOneMenu 
															disabled="false"
															id="cmbDepartamento"
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.coddep}"
															styleClass="form-control style-select">
												<f:selectItem itemValue="0"  itemLabel="--- Seleccione --- " />
												<f:selectItems
															value="#{bandejaSecretariaOAJMB.lstDepartamento}"
															var="tabla" 
															itemValue="#{tabla.coddep}"
															itemLabel="#{tabla.descripcion}" />
											<p:ajax event="change" 
					                        		listener="#{bandejaSecretariaOAJMB.updateProvincia}"				                        		
					                        		update="cmbProvincia,
					                        				cmbDistrito"/>							 
											</p:selectOneMenu>
										</div>
										
										<div class="col-sm-4">
											<h:outputLabel  for="cmbProvincia"
															value="Provincia: "
															styleClass="control-label" />
											<p:selectOneMenu 
															disabled="false"
															id="cmbProvincia"
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.codpro}"
															styleClass="form-control style-select">
											<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
											<f:selectItems
															value="#{bandejaSecretariaOAJMB.lstProvincia}"
															var="tabla" 
															itemValue="#{tabla.codpro}"
															itemLabel="#{tabla.descripcion}" />	
											<p:ajax event="change" 
					                        		listener="#{bandejaSecretariaOAJMB.updateDistrito}"				                        		
					                        		update=  "cmbDistrito"/>
											</p:selectOneMenu>										
										</div>
										<div class="col-sm-4">
											<h:outputLabel for="cmbDistrito" 
																value="Distrito: "
																styleClass="control-label" />
											<p:selectOneMenu 
															disabled="false"
															id="cmbDistrito"
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.coddis}"
															styleClass="form-control style-select">
											<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
											<f:selectItems
															value="#{bandejaSecretariaOAJMB.lstDistrito}"
															var="tabla" 
															itemValue="#{tabla.coddis}"
															itemLabel="#{tabla.descripcion}" />													 
											</p:selectOneMenu>
										</div>
									</div>
									
									<div class="row box-mb">	 				
										<div class="col-sm-4">
											<div class="form-group">
												<h:outputLabel 	for="txtTelefono" 
																value="Telefono : "
																styleClass="control-label"></h:outputLabel>
												<p:inputText
															disabled="false"
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.telefono}"
															id="txtTelefono"											
															onkeypress="return onlyNumber(event)"
			                                                maxlength="9"	                                                                                                       
			                                                required="false" 
			                                                styleClass="form-control"
			                                                tabindex="1"/>
											</div>
										</div>
										<div class="col-sm-4">
											<div class="form-group">
												<h:outputLabel 	for="txtcelular" 
																value="Celular : "
																styleClass="control-label"></h:outputLabel>
												<p:inputText
															 disabled="false"
															 value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.celular}"
															 id="txtcelular"													
															 onkeypress="return onlyNumber(event)"
		                                                  	 maxlength="9"	                                                                                                       
		                                                     required="false" 
		                                                     styleClass="form-control"
		                                                     tabindex="1"/>
											</div>
										</div>
										<div class="col-sm-4">
											<div class="form-group">
												<h:outputLabel 	for="txtCorreo" 
																value="Correo electrónico : "
																styleClass="control-label"></h:outputLabel>
												<p:inputText
															disabled="false"
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.correo_electronico}"
															id="txtCorreo"
															style="text-transform: lowercase;"								
															maxlength="30" 
															required="false" 
															styleClass="form-control"
															tabindex="1" />
											</div>
										</div>
									</div>
								</p:panel>
							</p:fieldset>
						</div>
                		
                		<div class="row box-mb">
                      	
                      		<div class="col-sm-12">
								<label class="control-label" style="margin-left: 2%"><b> III. INFORMACIÓN SOLICITADA:  </b> (Precise concretamente el pedido de la información)</label>
							</div>
								
							<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
								<p:panel id="pninformacionsolicitada"
									 style="width: 100%;							 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
									 <div class="row box-mb"> 				
										 <div class="col-sm-12">										
												<h:outputLabel for="txtdetalle"
																value="Detalle : " 
																styleClass="control-label" />
												<p:inputTextarea id="txtdetalle" 
																disabled="false"
																rows="3" 
																cols="33"
																styleClass="form-control"
																autoResize="false" 
																counter="display"
																value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.detalle_solicitud}"
																maxlength="5000" 
																counterTemplate="{0} caracteres restantes."
																queryDelay="#{solicitudExternoMB.solicitud.detalleSolicitud}" />
												<h:outputText id="display" />									
										 </div>
									</div>
								</p:panel>
							</p:fieldset>
						</div>
						
						<div class="row box-mb">
                      	
                      		<div class="col-sm-12">
								<label class="control-label" style="margin-left: 2%"><b> IV. DEPENDENCIA DE LA CUAL REQUIERE LA INFORMACIÓN: </b>(Deseable)</label>
							</div>
								
							<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
								<p:panel id="pndependenciainformacion"
									 style="width: 100%;							 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
									 <div class="row box-mb">
										<div class="col-sm-10">
											<h:outputLabel for="cmbDependencia" 
																value="Dependencia : "
																styleClass="control-label" />
											<p:selectOneMenu 
															disabled="false"
															id="cmbDependencia"
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.dependencia_de_informacion}"
															styleClass="form-control style-select">
													<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
													<f:selectItems
																	value="#{bandejaSecretariaOAJMB.lstt02UnidadesOragnica}"
																	var="tabla"
																	itemValue="#{tabla.codigoRegistro}"
																	itemLabel="#{tabla.nombreLargo}" />
											</p:selectOneMenu>
										</div>
									</div>
								</p:panel>
							</p:fieldset>
						</div>
						
						<div class="row box-mb">
                      	
                      		<div class="col-sm-12">
								<label class="control-label" style="margin-left: 2%"><b> V. FORMA DE ENTREGA DE LA INFORMACIÓN: </b></label>
							</div>
								
							<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
								<p:panel id="pnFormaEntregaPanel"
									 style="width: 100%;							 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
									 <div class="row box-mb">	 				
										<div class="col-sm-12">	
											 <h:outputLabel	id="txtmediodeentrega"
	        												value="Medios Entrega:"
															styleClass="control-label" />
											 <h:outputLabel	for="menu" id="txtMedEntrega" 
															value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.forma_de_entrega}"			                                                
			                                                styleClass="control-label" />
	        															
										</div>
									</div>
									<div class="row box-mb">	
										<div class="col-sm-5">
	        								<p:selectCheckboxMenu id="menu" 
	        													   panelStyle="width:250px"
	        													  panelStyleClass="without-selectall"
	        													  value="#{bandejaSecretariaOAJMB.lstMedioEntrSlc}" 
																  label="Medios de Entrega" multiple="true"
											                      filter="true" filterMatchMode="startsWith" 
											                      
											                      styleClass="form-control style-select" >
											    	<f:selectItems    value="#{bandejaSecretariaOAJMB.lstMedioEntrStrg}" />
											    			
															<p:ajax   listener="#{bandejaSecretariaOAJMB.updateMediosEntrega}"
																	  update=":frmBandejaSolicitud:txtMedEntrega" />
											</p:selectCheckboxMenu>
										</div>
									</div>
								</p:panel>
							</p:fieldset>
						</div>
						
						<div class="row box-mb">
                      	
                      		<div class="col-sm-12">
								<label class="control-label" style="margin-left: 2%"><b> VI. IDENTIFICACIÓN DE LA PERSONA AUTORIZADA: </b></label>
							</div>
								
							<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
								<p:panel id="autorizaPersRecojo"
									 style="width: 100%;							 
									 border: 0px solid #EDEDED;">
									 <div class="row box-mb">
										<div class="col-lm-12" style="margin-left: 20px;line-height: 20px;font-size: 13.2px;margin-bottom:10px;font-weight: 300;margin-bottom: 5px;">
											<h:panelGrid columns="2" cellpadding="5">
												¿Autoriza a otra persona, recoger la documentación solicitada? &#160;&#160;
												<p:selectOneRadio 
																disabled="true"
																id="autorizaRecojan" 
																value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.flag_autoriza_recojo}">
										            <f:selectItem itemValue="SI" itemLabel="&#160;SI&#160;" />
										            <f:selectItem itemValue="NO" itemLabel="&#160;NO" />
										           
										            <p:ajax event="change" 
							                        		listener="#{bandejaSecretariaOAJMB.updateAutoPersonaPanel}"
							                        		update=":frmBandejaSolicitud:autorizaPersRecojo"/>
										        </p:selectOneRadio>
									        </h:panelGrid>
										</div>
										<p:panel id="pnDatosPersonaAutorizada"
												 rendered="#{bandejaSecretariaOAJMB.swAutorizaPersona}"
												 style="width: 100%;									 
												 border: 0px solid #EDEDED;
												 background: rgba(237, 237, 237, .9);">
																		
											<div class="row box-mb">
													<div class="col-sm-3">										
														<h:outputLabel 	for="txtnrodocumentoAutorizado" 
																		value="Nro Documento : "
																		styleClass="control-label" />
															<p:inputText
																		disabled="true"
																		value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.pers_auto_nro_documento}"
																		id="txtnrodocumentoAutorizado"											
																		maxlength="8"
																		required="false" 
																		onkeypress="return onlyNumber(event)"
																		styleClass="form-control"
																		tabindex="1" />										
													</div>
													<div class="col-sm-5">
														<div class="form-group">
															<h:outputLabel 	for="txtNombresApellidosAutorizado" 
																			value="Nombres y Apellidos : "
																			styleClass="control-label"></h:outputLabel>
															<p:inputText
																		disabled="true"
																		value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.pers_auto_nombre_apellidos}"
																		id="txtNombresApellidosAutorizado"													
																		maxlength="100" 
																		required="false"
																		style="text-transform: uppercase;"
																		styleClass="form-control"
																		tabindex="1" />
														</div>
													</div>
											</div>
										</p:panel>
										
									</div>
								</p:panel>
							</p:fieldset>
						</div>
						
						<div class="row box-mb">
                      	
                      		<div class="col-sm-12">
								<label class="control-label" style="margin-left: 2%"><b> VII. OBSERVACIONES: </b></label>
							</div>
								
							<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
								<p:panel id="pnobservacionsolicitud"
									 style="width: 100%;
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
									 <div class="row box-mb">
										<div class="col-sm-12">										
												<h:outputLabel 	for="txtObservacionsolicitud"
																value="Detalle : " 
																styleClass="control-label" />
												<p:inputTextarea id="txtObservacionsolicitud" 
																disabled="false"
																rows="3" 
																cols="33"
																styleClass="form-control"
																autoResize="false"
																style="text-transform: uppercase;" 
																counter="display1"
																value="#{bandejaSecretariaOAJMB.tmpFormularioBndRep.observacion}"
																maxlength="200"
																counterTemplate="{0} caracteres restantes."
																queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
												<h:outputText id="display1" />								
										</div>
									</div>
								</p:panel>
							</p:fieldset>
						</div>
						
                		</p:fieldset>
                	</p:panel>
                	<p:panel id="pnlVistaDerivacionAreaBtn" style="border:none;">
                		<div class="col-sm-12 text-right box-main-btn">
								<p:commandButton
												id="btnGenRespDerivacion"
												value="Proyectar Derivación"
												disabled="#{bandejaSecretariaOAJMB.habilitaBtnDerivArea}"
												rendered="false"
												icon="fa fa-reply ocultarImgIcon"
												styleClass="btn btn-primary btn-sensitive"
												actionListener="#{bandejaSecretariaOAJMB.verRespuestaProyeccion}"
												ajax="true" update=":frmBandejaSolicitud" />
								<p:commandButton
												id="btnGenRespUsuario"
												value="Proyectar Respuesta"
												disabled="#{bandejaSecretariaOAJMB.habilitaBtnDerivUser}"
												rendered="false"
												icon="fa fa-share-square-o ocultarImgIcon"
												styleClass="btn btn-primary btn-sensitive"
												actionListener="#{bandejaSecretariaOAJMB.verRespuestaUsuario}"
												ajax="true" update=":frmBandejaSolicitud" />
												
								<p:commandButton
												id="btnGenSolicitud"
												value="Grabar"
												disabled="#{bandejaSecretariaOAJMB.habilitaBtnCancelar}"
												rendered="true"
												icon="fa fa-floppy-o ocultarImgIcon"
												styleClass="btn btn-primary btn-sensitive"
												actionListener="#{bandejaSecretariaOAJMB.validarRegPreSolicitud}"
												ajax="true" update=":frmBandejaSolicitud" />																										
												
								<p:commandButton 
												id="btnCancelarSeleccionDer"
												disabled="#{bandejaSecretariaOAJMB.habilitaBtnCancelar}"
												styleClass="btn btn-default btn-sensitive btn-buscar"
												value="Cancelar" 
												icon="icon-limpiar" 
												ajax="true" update=":frmBandejaSolicitud"
												action="#{bandejaSecretariaOAJMB.cancelarSeleccionOAJ}"/>
						</div>
					</p:panel>
<!-- *************** DERIVACION ************************************************************************************************** -->
                	<p:panel id="pnlVistaDerivacionArea" style="border:none;"
                		 >
                		<!-- ************** RESPUETA A PROYECCION ************************************************************************************* -->
	                	<p:panel id="pnlVistaRespuestaProyeccion" style="border:none;margin-left:-15pt;margin-right:-15pt;"
							rendered="#{bandejaSecretariaOAJMB.habilitaRespuestaProyeccion}" >
	                		<div class="row box-mb"> 
	                            <div class="col-sm-12">
	                                <label class="control-label"><b>Proyección de Derivación a Jefe: </b></label>
	                            </div>                       
	                        </div>
							<p:fieldset>
								
									<div class="row box-mb">
										<div class="col-sm-12">
										<h:outputLabel id="txtUnidOrgDerivar1"
												value="Unidades Orgánicas (Con secretarías):"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
											<h:outputLabel for="scbUnidOrgDerivar" id="txtUnidOrgDerivar"
												value="  #{bandejaSecretariaOAJMB.txtUnidOrgDerivar}"
												styleClass="control-label" />
											
											<p:selectCheckboxMenu id="scbUnidOrgDerivar"
												filter="true"
												value="#{bandejaSecretariaOAJMB.lstUndsOrgsSlc}"
												label="Seleccione Unidad" filterMatchMode="startsWith"
												panelStyle="width:30%" styleClass="form-control style-select">
												<f:selectItems 
													value="#{bandejaSecretariaOAJMB.lstUndsOrgsStrg}" />
												<p:ajax event="toggleSelect" 
													listener="#{bandejaSecretariaOAJMB.updateUnidOrgDerivar}" 
													update=":frmBandejaSolicitud:txtUnidOrgDerivar" />
												<p:ajax 
													listener="#{bandejaSecretariaOAJMB.updateUnidOrgDerivar}"
													update=":frmBandejaSolicitud:txtUnidOrgDerivar" />
												
											</p:selectCheckboxMenu>
										</div>
									</div>
									<div class="row box-mb">
										<div class="col-sm-12">
											<h:outputLabel for="txtMotivoDerivacion" value="Motivo :"
												styleClass="control-label" />
											<span class="style_requerido">* </span>
											<p:inputTextarea id="txtMotivoDerivacion"
												rows="2" cols="33" styleClass="form-control"
												autoResize="false" style="text-transform: uppercase;"
												counter="displayMotivo"
												value="#{bandejaSecretariaOAJMB.solicitudMovimientoArea.detalleRespuesta}"
												maxlength="200" counterTemplate="{0} caracteres restantes."
												queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
											<h:outputText id="displayMotivo" />
										</div>
		
		
									</div>
								
							</p:fieldset>
							<div class="col-sm-12 text-right box-main-btn" style="margin-top:25px;">
									<p:commandButton
													id="btnEnvDerivarValidar"
													value="Enviar a JEFE"
													icon="fa fa-reply ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaSecretariaOAJMB.validarDerivPreArea}"
													ajax="true" update=":frmBandejaSolicitud" />
		
									<p:commandButton 
													id="btnLimpiarEnvDerivar"
													styleClass="btn btn-default btn-sensitive btn-buscar"
													value="Limpiar" 
													icon="icon-limpiar" 
													ajax="true" update=":frmBandejaSolicitud"
													action="#{bandejaSecretariaOAJMB.limpiarDerivacionArea}"/>
							</div>
						</p:panel>
						<!-- ************** RESPUETA A USUARIO ************************************************************************************* -->
						<p:panel id="pnlVistaOtraArea" style="border:none;margin-left:-15pt;margin-right:-15pt;"
							rendered="#{bandejaSecretariaOAJMB.habilitaRespuestaUsuario}">
							<div class="row box-mb"> 
	                            <div class="col-sm-12">
	                                <label class="control-label"><b>Proyección de Respuesta a Jefe: </b></label>
	                            </div>                       
	                        </div>
							<p:fieldset>
								<div class="row box-mb">
									<div class="col-sm-6">
										<div class="form-group">
			                                 <h:outputLabel for="txtCorreoRespuesta" value="Correo Electrónico: " styleClass=" control-label"/>
			                                 <p:inputText   id="txtCorreoRespuesta"
			                                 				disabled="true"
			                                            	value="#{bandejaSecretariaOAJMB.solicitudMovimientoAdministrado.correo}"	
			                                                maxlength="50"
			                                                styleClass="form-control" />
			                                 <p:watermark for="txtCorreoRespuesta" value="Ingrese el Título" />
			                            </div>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-9">
										<div class="form-group">
			                                 <h:outputLabel for="txtAsuntoRespuesta" value="Asunto: " styleClass=" control-label"/>
			                                 <span class="style_requerido">*</span>
			                                 <p:inputText   id="txtAsuntoRespuesta"
			                                            	value="#{bandejaSecretariaOAJMB.solicitudMovimientoAdministrado.asunto}"	
			                                                maxlength="50"
			                                                styleClass="form-control" />
			                                 <p:watermark for="txtAsuntoRespuesta" value="Ingrese el Asunto" />
			                            </div>
									</div>
								</div>
								<div class="row box-mb">
			                    	<div class="col-sm-12">
			                        	<div class="form-group">
			                                    	<h:outputLabel for="txtcuerpoCorreo" value="Contenido: " styleClass=" control-label"/>
			                                        <span class="style_requerido">*</span>
			                                        <p:editor height="320" 
			                                        		  id="txtcuerpoCorreo" 
			                                        		  widgetVar="editorWidget" 
			                                        		  value="#{bandejaSecretariaOAJMB.solicitudMovimientoAdministrado.detalleRespuesta}" 
			                                        		  styleClass="max-width"/>
	 												<h:panelGrid columns="2" style="margin-top: 10px">
												    </h:panelGrid>
			                        	</div>
			                     	</div> 
								</div>
								<div class="row box-mb">
									<div class="col-sm-12 box-table-class">
                             			 <div class="form-group">
                             			 	<h:outputLabel for="tblDocumentos" value="Documentos Adjuntados (Máx. 5): " styleClass=" control-label"/>
			                                <span class="style_requerido">*</span>
											<p:dataTable  id="tblDocumentos" 
                                                var="registro"
                                                value="#{bandejaSecretariaOAJMB.lstDetalleMovimiento}" 
                                                rowKey="#{registro.id}" 
                                                paginator="false"
                                                rowIndexVar="item"
                                                paginatorPosition="top"
                                                rows="5"
                                                style="text-align:center;"
                                                emptyMessage="Seleccione un tipo de registro para extraer los datos.">
                                                
                                                <!-- 
												<p:ajax event="rowSelect" listener="#{bandejaSecretariaOAJMB.seleccionarRegistro}" update=":frmBandejaSolicitud" />
									 				-->
												<p:column headerText="N&#186;" style="width:20px;text-aling:center;">
                                                	<h:outputText value="#{item+1}" />
                                                </p:column>

                                                <p:column headerText="Nombre Documento" style="width:170px;text-align:center;">
                                                    <h:outputText value="#{registro.nombreDocumento}" />
                                                </p:column>
                                                
                                                <p:column headerText="Descargas" style="width:40px;text-align:center;">
                                                    <p:commandLink  actionListener="#{bandejaSecretariaOAJMB.descargarFile(registro.uuidDocumento)}" 
																    title="Descargar" 
																	ajax="false"
																	style="color: #4781af;">
																	<p:fileDownload value="#{bandejaSecretariaOAJMB.streamedContent}" />
																	Descargar
													</p:commandLink>
                                                </p:column>

                                                <p:column headerText="Acción" style="width:30px;text-align:center;">
                                                	<p:commandButton icon="ui-icon ui-icon-trash" title="Eliminar"
														actionListener="#{bandejaSecretariaOAJMB.setRptDocumento(registro)}"
														ajax="true" oncomplete="PF('idGrpEliminarConfirmacion').show()">
													</p:commandButton>
                                                </p:column>

                                    		</p:dataTable>
                                    	</div>
                                    </div>
								</div>
								<div class="row box-mb">
									<div id="box-subir-doc" class="col-sm-12">
										<div class="form-group ">
											<h:outputLabel id="lblAdj" for="fileUplAdj" 
												value="Adjunto(s): [ #{bandejaSecretariaOAJMB.nombreAdjunto01} ]"
												styleClass="control-label" />
											<p:fileUpload id="fileUplAdj"
												fileUploadListener="#{bandejaSecretariaOAJMB.handleFileUpload}" 
												mode="advanced" dragDropSupport="false"
												label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"
                  								multiple="true" update="lblAdj" sizeLimit="350000000" fileLimit="5" 
                  								allowTypes="/(\.|\/)(doc|docx|xls|xlsx|pdf)$/"
                  								invalidSizeMessage="El archivo que intenta subir supera el tamaño máximo permitido."
												invalidFileMessage="Tipo de archivo Inválido. Solo se permite adjuntar archivos Word, Excel y PDF."
												fileLimitMessage="Excedió el número de archivos permitidos." />
										</div>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-9 text-left box-main-btn">
										<div class="form-group">
											<h:outputLabel
												value="Files válidos: word, excel, pdf. Máximo: 5 files. Tamaño máximo por file: 350MB"
												style="font-weight: 300; font-size: 11px; color: #f52c27;" />
										</div>
									</div>
									<div class="col-sm-3 text-right box-main-btn">
										<p:commandButton id="idLimpiarAdjunto"
											styleClass="btn btn-default btn-sensitive btn-buscar"
											title="Borrar Files Adjuntos que han sido subidos y seleccionados."
											value="Borrar Adjuntos"
											actionListener="#{bandejaSecretariaOAJMB.borrarAdjuntos}"
											ajax="true" 
											icon="icon-limpiar" update=":frmBandejaSolicitud" />
									</div>
								</div>
							</p:fieldset>
						
							<div class="col-sm-12 text-right box-main-btn" style="margin-top:15px;">
									<p:commandButton
													id="btnEnvUsuValidar"
													value="Enviar a JEFE"
													icon="fa fa-reply ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaSecretariaOAJMB.validarDerivPreAdministrado}"
													ajax="true" update=":frmBandejaSolicitud" />
		
									<p:commandButton 
													id="btnLimpiarEnvUsu"
													styleClass="btn btn-default btn-sensitive btn-buscar"
													value="Limpiar" 
													icon="icon-limpiar" 
													ajax="true" update=":frmBandejaSolicitud"
													action="#{bandejaSecretariaOAJMB.limpiarDerivacionAdministrado}"/>
							</div>
						</p:panel>
					</p:panel>
					
					</p:fieldset>
                </div>
				<!-- Confirmar 1 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar1" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar1" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma enviar 'Proyección de Derivación a Jefe'?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaSecretariaOAJMB.grabar1}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar1').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar1').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				<!-- Confirmar 2 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar2" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar2" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma enviar 'Proyección de Respuesta a Jefe'?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaSecretariaOAJMB.grabar2}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar2').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar2').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>

				<!-- Confirmar 4 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar4" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar4" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma que desea registrar la solicitud?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaSecretariaOAJMB.grabar4}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar4').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar4').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				
                  			              
            </h:form>  
             
            <p:dialog widgetVar="statusDialog" modal="true" draggable="false" 
				      closable="false" resizable="false" showHeader="false">
		    		<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
	    </div>
    
    </ui:define>
    
</ui:composition>